*,
::before,
::after {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

:root {
  /* Scarlet red */
  --scarletRed-100: #ea3d43;
  --scarletRed-200: #e8272e;

  /* Gray */
  --gray-100: #f9f9f9;
  --gray-200: #9f9f9f;
}

/* ---------- */
/* Main Style */
/* ---------- */

.container.menu {
  position: relative;
  width: 81.4rem;
  margin: 2rem auto;
  padding: 2rem 7rem;
  overflow: hidden;
  font-family: 'Roboto', sans-serif;
}

.container::before {
  content: '';
  position: absolute;
  width: 100%;
  left: 0;
  bottom: -3rem;
  height: 8rem;
  z-index: -1;
  background-image: url(images/footer.jpg);
  background-position: 0 79%;
  background-size: 106rem;
  -webkit-filter: brightness(0.2);
  filter: brightness(0.2);
}

.main-section {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
}

.menu__main {
  -ms-flex-preferred-size: 74.4%;
  flex-basis: 74.4%;
}

.menu__dish {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  margin-bottom: 2rem;
  border-radius: 0.7rem;
  background-color: var(--gray-100);
  -webkit-box-shadow: 0 6px 8px 0px #ddd;
  box-shadow: 0 6px 8px 0px #ddd;
}

.dish__image {
  -ms-flex-preferred-size: 32%;
  flex-basis: 32%;
}

.dish__image img {
  height: 100%;
  width: 100%;
  border-radius: 0.7rem 0 0 0.7rem;
  -o-object-fit: cover;
  object-fit: cover;
}

.dish__info {
  -ms-flex-preferred-size: 68%;
  flex-basis: 68%;
  padding: 2.2rem 1.8rem;
}

.dish__name {
  font-size: 1.25rem;
  margin-bottom: 1.2rem;
  font-family: 'Courgette', cursive;
  cursor: pointer;
}

.dish__date {
  margin-bottom: 1rem;
  font-size: 0.9rem;
}

.dish__date svg {
  margin-right: 0.2rem;
  fill: var(--scarletRed-200);
}

.dish__date span:first-child {
  border-right: 1px solid black;
  padding-right: 0.5rem;
}

.dish__date span:last-child {
  padding-left: 0.3rem;
}

.dish__description {
  margin-bottom: 1rem;
  font-size: 0.9rem;
  line-height: 1.6;
  color: var(--gray-200);
}

.dish__more {
  padding: 0;
  border-style: none;
  background-color: transparent;
  color: var(--scarletRed-200);
  cursor: pointer;
}

.menu__pages {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin-bottom: 5.2rem;
}

.menu__pages li {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  width: 2.5rem;
  height: 2.5rem;
  margin: 1rem 0.3rem;
  border: 1px solid var(--gray-200);
  border-radius: 50%;
  color: var(--gray-200);
  font-size: 1.3rem;
  cursor: pointer;
}

.menu__pages li a {
  text-decoration: none;
  color: #000;
}

.menu__pages li:nth-child(2) {
  background-color: var(--scarletRed-200);
  border-style: none;
}

.menu__pages li:nth-child(2) a {
  color: #fff;
}

.menu__pages svg {
  fill: var(--gray-200);
}

.menu__sidebar {
  -ms-flex-preferred-size: 23%;
  flex-basis: 23%;
}

.menu__search {
  margin-bottom: 2rem;
}

.menu__search input {
  width: 100%;
  height: 2.8rem;
  padding: 0 1rem;
  border-radius: 2rem;
  font-size: 1rem;
}

.menu__categories {
  margin-bottom: 2.7rem;
}

.categories__list li {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  margin: 1.1rem 0 0 1.6rem;
  color: #777;
}

.categories__list li svg {
  position: absolute;
  left: -1.5rem;
  fill: var(--gray-200);
}

.sidebar__header {
  padding-bottom: 1rem;
  border-bottom: 1px solid;
  font-size: 1.25rem;
  font-family: 'Courgette', cursive;
}

.menu__post {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  padding-top: 0.9rem;
  padding-bottom: 1rem;
}

.menu__post:not(:last-child) {
  border-bottom: 1px solid var(--gray-200);
}

h4.post__header {
  margin-bottom: 0.6rem;
  font-size: 1rem;
  line-height: 1.2;
  font-family: 'Courgette', cursive;
  cursor: pointer;
}

.post__image {
  -ms-flex-preferred-size: 40%;
  flex-basis: 40%;
}

.post__image img {
  width: 100%;
  border-radius: 1rem;
}

.post__info {
  -ms-flex-preferred-size: 60%;
  flex-basis: 60%;
  padding: 0.2rem 0 0 0.6rem;
}

.menu__ad {
  position: relative;
  height: 17.3rem;
  margin-top: 0.6rem;
  margin-bottom: 2rem;
}

.menu__ad::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background-image: url('images/ad.png');
  background-size: 16rem;
  background-position: 50%;
  -webkit-filter: brightness(0.4);
  filter: brightness(0.4);
  z-index: -1;
}

.ad__title {
  padding-top: 2.2rem;
  padding-left: 1.2rem;
  font-size: 2.25rem;
  color: #fff;
  font-family: 'Courgette', cursive;
  line-height: 1.35;
}

.ad__title span {
  font-size: 3.5rem;
  color: var(--scarletRed-200);
}

.ad__note {
  padding: 0.2rem 1.2rem;
  font-size: 0.9rem;
  color: #fff;
}

.ad__order {
  padding: 1.1rem 1.9rem;
  margin: 1rem 1.2rem;
  border-style: none;
  border-radius: 3rem;
  background-color: var(--scarletRed-200);
  color: #fff;
  font-size: 0.9rem;
  font-weight: bold;
  cursor: pointer;
}

.menu__instagram {
  margin-bottom: 2rem;
}

.instagram__gallery {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-top: 1rem;
  row-gap: 0.5rem;
  -webkit-column-gap: 0.5rem;
  -moz-column-gap: 0.5rem;
  column-gap: 0.5rem;
}

.instagram__gallery img {
  border-radius: 1rem;
  width: 5rem;
  height: 5rem;
}

.tags__list {
  margin-top: 0.8rem;
}

.tags__list li {
  display: inline-block;
  padding: 0.7rem 0.8rem;
  margin: 0.2rem;
  border-radius: 1rem;
  background-color: var(--gray-100);
  font-size: 0.85rem;
  cursor: pointer;
}

.menu__footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  justify-content: space-between;
  padding: 2rem;
  border-radius: 0.7rem;
  background-color: var(--scarletRed-200);
  color: #fff;
  position: relative;
}

.footer__newsletter {
  -ms-flex-preferred-size: 40%;
  flex-basis: 41%;
}

.newsletter__title {
  margin-bottom: 0.7rem;
  font-size: 1.45rem;
  font-family: 'Courgette', cursive;
}

.newsletter__description {
  font-size: 0.9rem;
  line-height: 1.7;
}

.footer__action {
  position: relative;
  -ms-flex-preferred-size: 48.7%;
  flex-basis: 48.7%;
  height: 4.3rem;
}

.footer__action input {
  height: 100%;
  width: 32rem;
  border-style: none;
  background-color: var(--scarletRed-100);
  border-radius: 2rem;
  padding-left: 2rem;
  font-size: 0.9rem;
}

.footer__action input::-webkit-input-placeholder {
  color: #fff;
}

.footer__action input::-moz-placeholder {
  color: #fff;
}

.footer__action input:-ms-input-placeholder {
  color: #fff;
}

.footer__action input::-ms-input-placeholder {
  color: #fff;
}

.footer__action input::placeholder {
  color: #fff;
}

.footer__action button {
  position: absolute;
  right: 0.5rem;
  padding: 0.9rem 1.7rem;
  border-style: none;
  border-radius: 1.5rem;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  font-size: 1.1rem;
  font-weight: bold;
  color: var(--scarletRed-200);
  cursor: pointer;
}

/* --------------- */
/* Personal Footer */
/* --------------- */

.footer {
  min-width: 274px;
  margin: 5rem 1rem;
  font-family: 'Cairo', sans-serif;
  line-height: 1.5;
  text-align: center;
}

.platform {
  font-weight: 600;
  color: #2eca7f;
}

.coder {
  font-weight: 600;
  color: #cf2937;
}

a {
  text-decoration: none;
}
